List recent Parent chain to Rollup messages on the main page.
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/main-page/arbitrum/messages/to-rollup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/main-page/arbitrum/messages/to-rollup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/main-page/arbitrum/messages/to-rollup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"completion_transaction_hash": "<string>",
"origination_timestamp": "2023-11-07T05:31:56Z",
"origination_transaction_block_number": 1,
"origination_transaction_hash": "<string>"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}arbitrum
List recent Parent chain to Rollup messages on the main page.
Retrieves the most recent relayed messages from Parent chain to Rollup, displayed on the main page.
GET
/
{chain_id}
/
api
/
v2
/
main-page
/
arbitrum
/
messages
/
to-rollup
List recent Parent chain to Rollup messages on the main page.
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
The ID of the blockchain
Response
List of recent Parent chain to Rollup messages.
Show child attributes
Show child attributes
Was this page helpful?
⌘I